<!-- global spinner -->
<app-spinner *ngIf="!initialized" class="app-global-spinner"></app-spinner>

<!-- summary -->
<app-table-summary (reload)="getData()" [total]="total" [lastUpdate]="lastUpdate" title="DEVICES">
  <!-- lock -->
  <app-icon-lock icon></app-icon-lock>
</app-table-summary>

<!-- actions -->
<app-table-actions
  (filterApply)="onFilterApplied($event)"
  [(viewType)]="viewType"
  [filterConfigs]="filterConfigs"
  [filters]="filters"
  [viewTypes]="viewTypes"
>
  <!-- new button -->
  <button
    *ngIf="editPermission$ | async"
    (click)="openRegisterDevice()"
    actionButton
    appFlatButton
    class="app-create-button"
    theme="primary"
  >
    <span>+</span> Register New
  </button>
</app-table-actions>

<!-- device table -->
<app-device-table
  (pagingChange)="onPagingChanged($event)"
  (sortsChange)="onSortsChanged($event)"
  [data]="data"
  [loading]="loading"
  [page]="page"
  [size]="size"
  [total]="total"
></app-device-table>

<!-- register device -->
<app-side-modal-register-device
  (openDetail)="onOpenDetail($event)"
  (succeeded)="getData(0)"
  (closeClick)="closeRegisterDevice()"
  *ngIf="registerDeviceVisible"
></app-side-modal-register-device>
